datablock itemData(Health_PowerUp : printGun)
{
	image = "";
	uiName = "PowerUp - Health";
	shapeFile = "./HeartRed.dts";
	BoostFunction = "Health";
	PowerUp = true;
	HasPickUpRestriction = true;
};
function Player::PowerUp_Health(%player,%brick) {
	%name = %brick.getName();
	%multiplier = true;
	%amount = 0;
	if(%name $= "") {
		%multiplier = true;
		%amount = 0.25;
	} else {
		%name = getSubStr(%brick.getName(), 1, strLen(%brick.getName())-1);
		%firstChar = getSubStr(%name, 0, 1);
		if (%firstChar $= "m") {
			%amount = getSubStr(%name, 2, strLen(%name) - 1) / 100;
		} else {
			%multiplier = false;
			%amount = %name;
		}
	}
	if(%multiplier)
		%health = %player.getDatablock().maxDamage * %amount;
	else
		%health = %amount;
	%player.addHealth(%health);
}
function Health_PowerUp::CheckCondition(%this, %player, %brick) {
	return %player.getDamageLevel() <= 0;
}