datablock itemData(Shield_PowerUp : printGun)
{
	image = "";
	uiName = "PowerUp - Shield";
	shapeFile = "./Shield.dts";
	BoostFunction = "Shield";
	PowerUp = true;
	HasPickUpRestriction = true;
};
function Player::GetShieldValue(%player, %brick) {
	%name = %brick.getName();
	%multiplier = true;
	%amount = 0;
	if (%name $= "") {
		%multiplier = true;
		%amount = 0.6;
	} else {
		%name = getSubStr(%brick.getName(), 1, strLen(%brick.getName()) - 1);
		%firstChar = getSubStr(%name, 0, 1);
		if (%firstChar $= "m") {
			%amount = getSubStr(%name, 2, strLen(%name) - 1) / 100;
		} else {
			%multiplier = false;
			%amount = %name;
		}
	}
	if (%multiplier)
		%shield = %player.getDatablock().maxDamage * %amount;
	else
		%shield = %amount;
	return %shield;
}
function Player::PowerUp_Shield(%player, %brick) {
	%shield = %player.GetShieldValue(%brick);
	%player.shield = %shield;
}

function Shield_PowerUp::CheckCondition(%this, %player, %brick) {
	return %player.shield == %player.GetShieldValue(%brick);
}
package PowerUp_Shield
{
	function player::damage(%obj, %sourceObject, %position, %damage, %damageType)
	{
		if(%obj.shield > 0)
		{
			%obj.shield -= %damage;
			if(%obj.shield < 0)
			{
				%damage = %obj.shield * -1;
				parent::damage(%obj, %sourceObject, %position, %damage, %damageType);
			} else {
				parent::damage(%obj, %sourceObject, %position, 0, %damageType);
			}
		}
		else
			parent::damage(%obj, %sourceObject, %position, %damage, %damageType);
	}
};
activatepackage(PowerUp_Shield);