package PowerUps
{
	function itemData::onAdd(%this, %obj)
	{
		if(%this.PowerUp)
			%obj.rotate = true;
		parent::onAdd(%this,%obj);
	}
	function itemData::resetPickup(%this, %obj, %col) {
		%obj.fadeIn();
		%obj.resetting = false;
	}
	function itemData::onPickup(%this, %obj, %col)
	{
		if(%this.PowerUp)
		{
			if(%obj.resetting)
				return;
			if(%this.HasPickUpRestriction && %this.CheckCondition(%col, %obj.spawnBrick))
				return;
			%obj.fadeOut();
			%obj.resetting = true;
			%col.setWhiteOut(0.45);
			%this.schedule(%obj.getRespawnTime(),"resetPickup",%obj, %col);
			%col.call("PowerUp_"@%this.BoostFunction, %obj.spawnBrick);
		}
		else
			parent::onPickup(%this, %obj, %col);
	}
};
activatepackage(PowerUps);